import { EventDefinition, HttpClient } from '@wix/sdk-types';
import { SubscriptionContract, SubscriptionContractCreatedEnvelope, SubscriptionContractDeletedEnvelope, SubscriptionContractUpdatedEnvelope, SubscriptionContractsQueryBuilder } from './ecom-subscription-contracts-v1-subscription-contract-subscription-contracts.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function getSubscriptionContract(httpClient: HttpClient): GetSubscriptionContractSignature;
interface GetSubscriptionContractSignature {
    /**
     * Retrieves a SubscriptionContract.
     * @param - ID of the SubscriptionContract to retrieve.
     * @returns The requested SubscriptionContract.
     */
    (subscriptionContractId: string): Promise<SubscriptionContract>;
}
export declare function querySubscriptionContracts(httpClient: HttpClient): QuerySubscriptionContractsSignature;
interface QuerySubscriptionContractsSignature {
    /**
     * Retrieves a list of SubscriptionContracts, given the provided [paging, filtering, and sorting][1].
     *
     * Up to 300 SubscriptionContracts can be returned per request.
     *
     * To learn how to query SubscriptionContracts, see [API Query Language][2].
     *
     * [1]: https://dev.wix.com/api/rest/getting-started/sorting-and-paging
     * [2]: https://dev.wix.com/api/rest/getting-started/api-query-language
     */
    (): SubscriptionContractsQueryBuilder;
}
export declare const onSubscriptionContractCreated: EventDefinition<SubscriptionContractCreatedEnvelope, "wix.ecom.subscription_contracts.v1.subscription_contract_created">;
export declare const onSubscriptionContractDeleted: EventDefinition<SubscriptionContractDeletedEnvelope, "wix.ecom.subscription_contracts.v1.subscription_contract_deleted">;
export declare const onSubscriptionContractUpdated: EventDefinition<SubscriptionContractUpdatedEnvelope, "wix.ecom.subscription_contracts.v1.subscription_contract_updated">;
export { ActionEvent, AdditionalFee, Address, AddressLocation, AddressWithContact, AdjustmentType, AppliedDiscount, AppliedDiscountDiscountSourceOneOf, BaseEventMetadata, BillingAdjustment, BillingAdjustmentPriceSummary, BuyerInfo, BuyerInfoIdOneOf, CatalogReference, ChannelInfo, ChannelType, Color, Coupon, CreateSubscriptionContractRequest, CreateSubscriptionContractResponse, CurrencyConversionDetails, CursorPaging, CursorPagingMetadata, CursorQuery, CursorQueryPagingMethodOneOf, Cursors, CustomField, DeliveryLogistics, DeliveryLogisticsAddressOneOf, DeliveryTimeSlot, DescriptionLine, DescriptionLineDescriptionLineValueOneOf, DescriptionLineName, DescriptionLineType, DescriptionLineValueOneOf, DigitalFile, DiscountReason, DiscountRule, DiscountRuleName, DiscountType, DomainEvent, DomainEventBodyOneOf, Empty, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, EventMetadata, ExtendedFields, FocalPoint, FreeTrialPeriod, FullAddressContactDetails, GetSubscriptionContractRequest, GetSubscriptionContractResponse, IdentificationData, IdentificationDataIdOneOf, ItemModifier, ItemTaxFullDetails, ItemType, ItemTypeItemType, ItemTypeItemTypeDataOneOf, JurisdictionType, LineItemDiscount, LineItemTaxBreakdown, LineItemTaxInfo, Location, LocationAndQuantity, MerchantDiscount, MerchantDiscountMerchantDiscountReasonOneOf, MessageEnvelope, ModifierGroup, OrderLineItem, OrderTaxBreakdown, OrderTaxInfo, PaymentOptionType, PhysicalProperties, PickupAddress, PickupDetails, PickupMethod, PlainTextValue, Price, PriceDescription, PriceSummary, ProductName, QuerySubscriptionContractsRequest, QuerySubscriptionContractsResponse, RestoreInfo, ShippingInformation, ShippingPrice, ShippingRegion, SortOrder, Sorting, StreetAddress, SubscriptionContract, SubscriptionContractCreatedEnvelope, SubscriptionContractDeletedEnvelope, SubscriptionContractUpdatedEnvelope, SubscriptionContractsQueryBuilder, SubscriptionContractsQueryResult, SubscriptionDescription, SubscriptionFrequency, SubscriptionInfo, SubscriptionSettings, SubscriptionTitle, TaxableAddress, TaxableAddressTaxableAddressDataOneOf, TaxableAddressType, TranslatableString, UpdateSubscriptionContractRequest, UpdateSubscriptionContractResponse, V1FreeTrialPeriod, V1SubscriptionDescription, V1SubscriptionSettings, V1SubscriptionTitle, V2SubscriptionFrequency, VatId, VatType, WebhookIdentityType, WeightUnit, } from './ecom-subscription-contracts-v1-subscription-contract-subscription-contracts.universal.js';
