import { getSubscriptionContract as publicGetSubscriptionContract, querySubscriptionContracts as publicQuerySubscriptionContracts } from './ecom-subscription-contracts-v1-subscription-contract-subscription-contracts.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onSubscriptionContractCreated as publicOnSubscriptionContractCreated } from './ecom-subscription-contracts-v1-subscription-contract-subscription-contracts.public.js';
import { onSubscriptionContractDeleted as publicOnSubscriptionContractDeleted } from './ecom-subscription-contracts-v1-subscription-contract-subscription-contracts.public.js';
import { onSubscriptionContractUpdated as publicOnSubscriptionContractUpdated } from './ecom-subscription-contracts-v1-subscription-contract-subscription-contracts.public.js';
export declare const getSubscriptionContract: MaybeContext<BuildRESTFunction<typeof publicGetSubscriptionContract> & typeof publicGetSubscriptionContract>;
export declare const querySubscriptionContracts: MaybeContext<BuildRESTFunction<typeof publicQuerySubscriptionContracts> & typeof publicQuerySubscriptionContracts>;
/** */
export declare const onSubscriptionContractCreated: ReturnType<typeof createEventModule<typeof publicOnSubscriptionContractCreated>>;
/** */
export declare const onSubscriptionContractDeleted: ReturnType<typeof createEventModule<typeof publicOnSubscriptionContractDeleted>>;
/** */
export declare const onSubscriptionContractUpdated: ReturnType<typeof createEventModule<typeof publicOnSubscriptionContractUpdated>>;
export { SubscriptionFrequency, DescriptionLineType, ItemTypeItemType, PaymentOptionType, JurisdictionType, V2SubscriptionFrequency, AdjustmentType, TaxableAddressType, WeightUnit, VatType, PickupMethod, DiscountType, DiscountReason, ChannelType, SortOrder, WebhookIdentityType, } from './ecom-subscription-contracts-v1-subscription-contract-subscription-contracts.universal.js';
export { SubscriptionContract, V1SubscriptionDescription, V1SubscriptionSettings, V1FreeTrialPeriod, OrderLineItem, ProductName, CatalogReference, Price, DescriptionLine, DescriptionLineValueOneOf, DescriptionLineDescriptionLineValueOneOf, DescriptionLineName, PlainTextValue, Color, FocalPoint, PhysicalProperties, ItemType, ItemTypeItemTypeDataOneOf, ItemTaxFullDetails, LineItemTaxInfo, LineItemTaxBreakdown, DigitalFile, SubscriptionInfo, SubscriptionTitle, SubscriptionDescription, SubscriptionSettings, FreeTrialPeriod, BillingAdjustment, BillingAdjustmentPriceSummary, PriceDescription, LocationAndQuantity, TaxableAddress, TaxableAddressTaxableAddressDataOneOf, ExtendedFields, ModifierGroup, TranslatableString, ItemModifier, BuyerInfo, BuyerInfoIdOneOf, CurrencyConversionDetails, PriceSummary, AddressWithContact, Address, StreetAddress, AddressLocation, FullAddressContactDetails, VatId, ShippingInformation, DeliveryLogistics, DeliveryLogisticsAddressOneOf, PickupDetails, PickupAddress, DeliveryTimeSlot, ShippingPrice, ShippingRegion, OrderTaxInfo, OrderTaxBreakdown, AppliedDiscount, AppliedDiscountDiscountSourceOneOf, Coupon, MerchantDiscount, MerchantDiscountMerchantDiscountReasonOneOf, DiscountRule, DiscountRuleName, LineItemDiscount, ChannelInfo, CustomField, V1SubscriptionTitle, AdditionalFee, Location, CreateSubscriptionContractRequest, CreateSubscriptionContractResponse, GetSubscriptionContractRequest, GetSubscriptionContractResponse, UpdateSubscriptionContractRequest, UpdateSubscriptionContractResponse, QuerySubscriptionContractsRequest, CursorQuery, CursorQueryPagingMethodOneOf, Sorting, CursorPaging, QuerySubscriptionContractsResponse, CursorPagingMetadata, Cursors, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, Empty, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, EventMetadata, SubscriptionContractCreatedEnvelope, SubscriptionContractDeletedEnvelope, SubscriptionContractUpdatedEnvelope, SubscriptionContractsQueryResult, SubscriptionContractsQueryBuilder, } from './ecom-subscription-contracts-v1-subscription-contract-subscription-contracts.universal.js';
